import bpy
from bpy.utils import previews

import pathlib


pcoll = None


def icon_id(icon):
    global pcoll
    return pcoll[icon].icon_id


def register_icons():
    global pcoll
    pcoll = previews.new()
    dir = pathlib.Path(__file__).parent
    for file in dir.glob('*.png'):
        pcoll.load(file.name, str(file), 'IMAGE')


def unregister_icons():
    global pcoll
    previews.remove(pcoll)
    pcoll = None
